OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESToBRep

# IGESToBRep Class Reference

Provides tools in order to transfer IGES entities
to CAS.CADE.
.

`#include <IGESToBRep.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
## Static Public Member Functions
static Standard_EXPORT void | Init ()
| Creates and initializes default AlgoContainer. .
static Standard_EXPORT void | SetAlgoContainer (const Handle(IGESToBRep_AlgoContainer)&aContainer)
| Sets default AlgoContainer .
static Standard_EXPORT Handle_IGESToBRep_AlgoContainer | AlgoContainer ()
| Returns default AlgoContainer .
static Standard_EXPORT Standard_Boolean | IsCurveAndSurface (const Handle(IGESData_IGESEntity)&start)
| Return True if the IGESEntity can be transfered by TransferCurveAndSurface. ex: All IGESEntity from IGESGeom .
static Standard_EXPORT Standard_Boolean | IsBasicCurve (const Handle(IGESData_IGESEntity)&start)
| Return True if the IGESEntity can be transfered by TransferBasicCurve. ex: CircularArc, ConicArc, Line, CopiousData, BSplineCurve, SplineCurve... from IGESGeom : 104,110,112,126 .
static Standard_EXPORT Standard_Boolean | IsBasicSurface (const Handle(IGESData_IGESEntity)&start)
| Return True if the IGESEntity can be transfered by TransferBasicSurface. ex: BSplineSurface, SplineSurface... from IGESGeom : 114,128 .
static Standard_EXPORT Standard_Boolean | IsTopoCurve (const Handle(IGESData_IGESEntity)&start)
| Return True if the IGESEntity can be transfered by TransferTopoCurve. ex: all Curves from IGESGeom : all basic curves,102,130,142,144 .
static Standard_EXPORT Standard_Boolean | IsTopoSurface (const Handle(IGESData_IGESEntity)&start)
| Return True if the IGESEntity can be transfered by TransferTopoSurface. ex: All Surfaces from IGESGeom : all basic surfaces,108,118,120,122,141,143 .
static Standard_EXPORT Standard_Boolean | IsBRepEntity (const Handle(IGESData_IGESEntity)&start)
| Return True if the IGESEntity can be transfered by TransferBRepEntity. ex: VertexList, EdgeList, Loop, Face, Shell, Manifold Solid BRep Object from IGESSolid : 502, 504, 508, 510, 514, 186. .
static Standard_EXPORT void | WriteShape (const TopoDS_Shape &shape, const Standard_Integer number)
| Creates a file Shape_'number' with the shape being able to be restored by Draw. .
static Standard_EXPORT Standard_Integer | IGESCurveToSequenceOfIGESCurve (const Handle(IGESData_IGESEntity)&curve, Handle(TColStd_HSequenceOfTransient)&sequence)
static Standard_EXPORT Standard_Boolean | TransferPCurve (const TopoDS_Edge &fromedge, const TopoDS_Edge &toedge, const TopoDS_Face &face)

## Member Function Documentation

static Standard_EXPORT Handle_IGESToBRep_AlgoContainer IGESToBRep::AlgoContainer | ( |  | ) | `[static]`

static Standard_EXPORT Standard_Integer IGESToBRep::IGESCurveToSequenceOfIGESCurve | ( | const Handle(IGESData_IGESEntity)& | curve,
|  | Handle(TColStd_HSequenceOfTransient)& | sequence
| ) | `[static]`

static Standard_EXPORT void IGESToBRep::Init | ( |  | ) | `[static]`

static Standard_EXPORT Standard_Boolean IGESToBRep::IsBasicCurve | ( | const Handle(IGESData_IGESEntity)& | start | ) | `[static]`

static Standard_EXPORT Standard_Boolean IGESToBRep::IsBasicSurface | ( | const Handle(IGESData_IGESEntity)& | start | ) | `[static]`

static Standard_EXPORT Standard_Boolean IGESToBRep::IsBRepEntity | ( | const Handle(IGESData_IGESEntity)& | start | ) | `[static]`

static Standard_EXPORT Standard_Boolean IGESToBRep::IsCurveAndSurface | ( | const Handle(IGESData_IGESEntity)& | start | ) | `[static]`

static Standard_EXPORT Standard_Boolean IGESToBRep::IsTopoCurve | ( | const Handle(IGESData_IGESEntity)& | start | ) | `[static]`

static Standard_EXPORT Standard_Boolean IGESToBRep::IsTopoSurface | ( | const Handle(IGESData_IGESEntity)& | start | ) | `[static]`

void IGESToBRep::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESToBRep::operator new | ( | size_t | size | ) | `[inline]`

void* IGESToBRep::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT void IGESToBRep::SetAlgoContainer | ( | const Handle(IGESToBRep_AlgoContainer)& | aContainer | ) | `[static]`

static Standard_EXPORT Standard_Boolean IGESToBRep::TransferPCurve | ( | const TopoDS_Edge & | fromedge,
|  | const TopoDS_Edge & | toedge,
|  | const TopoDS_Face & | face
| ) | `[static]`

static Standard_EXPORT void IGESToBRep::WriteShape | ( | const TopoDS_Shape & | shape,
|  | const Standard_Integer | number
| ) | `[static]`

The documentation for this class was generated from the following file:

- IGESToBRep.hxx